## org.codehaus.groovy.groovydoc
Interface GroovyPackageDoc

All Superinterfaces:
  Comparable, GroovyDoc

All Known Implementing Classes:
  SimpleGroovyPackageDoc

    public interface GroovyPackageDoc

extends GroovyDoc

Method Summary
`GroovyClassDoc[]` `allClasses()`
`GroovyClassDoc[]` `allClasses(boolean arg0)`
`GroovyClassDoc[]` `enums()`
`GroovyClassDoc[]` `errors()`
`GroovyClassDoc[]` `exceptions()`
`GroovyClassDoc` `findClass(String arg0)`
`String` `getRelativeRootPath()`
`GroovyClassDoc[]` `interfaces()`
`String` `nameWithDots()`
`GroovyClassDoc[]` `ordinaryClasses()`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### allClasses

    GroovyClassDoc[] allClasses()

### allClasses

    GroovyClassDoc[] allClasses(boolean arg0)

### enums

    GroovyClassDoc[] enums()

### errors

    GroovyClassDoc[] errors()

### exceptions

    GroovyClassDoc[] exceptions()

### findClass

    GroovyClassDoc findClass(String arg0)

### interfaces

    GroovyClassDoc[] interfaces()

### ordinaryClasses

    GroovyClassDoc[] ordinaryClasses()

### nameWithDots

    String nameWithDots()

### getRelativeRootPath

    String getRelativeRootPath()

Copyright © 2003-2008 The Codehaus. All rights reserved.